Bug 308111 - Review Request: quake3 - Quake 3 Arena tournament 3D shooter game
Review Request: quake3 - Quake 3 Arena tournament 3D shooter game
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-26 17:47 EDT by Hans de Goede
Modified: 2007-11-30 17:12 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-29 04:37:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bnocera: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2007-09-26 17:47:13 EDT
Spec URL: http://people.atrpms.net/~hdegoede/quake3.spec
SRPM URL: http://people.atrpms.net/~hdegoede/quake3-1.34-0.2.rc4.fc8.src.rpm
Description:
This package contains the Quake 3 Arena engine. It comes with an applications
menu entry, which will offer to download and install the Quake 3 demo datafiles
for you. If you own a copy of quake 3, you will need to copy the pak?.pk3 files
from the original 1.32 Quake 3 Arena point release as well as pak0.pk3 from the
original CD-ROM to /usr/share/quake3/baseq3 or ~/.q3a/baseq3.
Comment 1 Bastien Nocera 2007-09-26 17:57:18 EDT
Shame Matthias didn't pick that one up :/
Comment 2 Bastien Nocera 2007-09-26 18:00:16 EDT
I'll review this tomorrow. Nag me if I don't :)
Comment 3 Rahul Sundaram 2007-09-26 18:30:14 EDT
Tried running this. I get 

#quake3-demo

/usr/bin/quake3-demo: line 5:
/usr/share/opengl-games-utils/opengl-game-functions.sh: No such file or directory

#rpm -ql opengl-games-utils

/usr/bin/opengl-game-wrapper.sh
/usr/share/doc/opengl-games-utils-0.1
/usr/share/doc/opengl-games-utils-0.1/README
Comment 4 Rahul Sundaram 2007-09-26 18:38:35 EDT
Commented out the lines and had a accept dialog box, license agreement and
progress for downloads followed by this error

File linuxq3ademo-1.11-6.x86.gz.sh not found on server(s).
Comment 5 Neal Gompa 2007-09-26 20:33:18 EDT
Does this use the latest ioQuake3 engine revision or is this just the original
that came from id software (id Tech 3)?
Comment 6 Hans de Goede 2007-09-27 04:14:26 EDT
(In reply to comment #1)
> Shame Matthias didn't pick that one up :/

I've contacted him about this review requested and offered him co-maintainer ship.

(In reply to comment #3)
> Tried running this. I get 
> 
> #quake3-demo
> 
> /usr/bin/quake3-demo: line 5:
> /usr/share/opengl-games-utils/opengl-game-functions.sh: No such file or directory
> 
> #rpm -ql opengl-games-utils
> 
> /usr/bin/opengl-game-wrapper.sh
> /usr/share/doc/opengl-games-utils-0.1
> /usr/share/doc/opengl-games-utils-0.1/README
> 

Thats because you have an old opengl-games-utils, which has only been in rawhide
for 1 day, do "yum update opengl-games-utils", Since the not working version has
only been in rawhide I don't feel inclined to make the Requires versioned.

(In reply to comment #4)
> Commented out the lines and had a accept dialog box, license agreement and
> progress for downloads followed by this error
> 
> File linuxq3ademo-1.11-6.x86.gz.sh not found on server(s).

Thats because the id software ftp server sometimes gives a to many users error.
I could not find any mirrors for this file. I've just tried searching a little
bit harder and now I have several good mirrors. I'll do a new package with an
updated quake3.autodlrc file with better mirrors.

(In reply to comment #5)
> Does this use the latest ioQuake3 engine revision or is this just the original
> that came from id software (id Tech 3)?

It uses the latest ioquake (something which you could have found out yourself
with one click on the spec file link).
Comment 7 Hans de Goede 2007-09-27 07:31:04 EDT
Ok, here is a new version with a much better mirrorlist for the quake demo
files, this (+ "yum update opengl-games-utils) should fix the reported problems:

Spec URL: http://people.atrpms.net/~hdegoede/quake3.spec
SRPM URL: http://people.atrpms.net/~hdegoede/quake3-1.34-0.3.rc4.fc8.src.rpm
Comment 8 Rahul Sundaram 2007-09-27 10:31:08 EDT
I can confirm that this fixes the two problems outlined earlier. Thanks. 
Comment 9 Bastien Nocera 2007-09-27 12:45:07 EDT
rpmlint output is empty.

- MUST: The package must be named according to the Package Naming Guidelines.

OK

- MUST: The spec file name must match the base package %{name}, in the format
%{name}.spec unless your package has an exemption on Package Naming Guidelines.

OK

- MUST: The package must meet the Packaging Guidelines.

- MUST: The package must be licensed with a Fedora approved license and meet the
Licensing Guidelines.

OK

- MUST: The License field in the package spec file must match the actual license.

A couple of files aren't pure GPL, but look compatible:
./code/client/snd_adpcm.c
./code/qcommon/unzip.c
./code/game/bg_lib.c

Those 2 files from libjpeg mention libjpeg's README for licensing. Might be a
good idea to keep it in the tarball:
./code/jpeg-6/jmemnobs.c
./code/renderer/jpeg_memsrc.c

- MUST: If (and only if) the source package includes the text of the license(s)
in its own file, then that file, containing the text of the license(s) for the
package must be included in %doc.

OK

- MUST: The spec file must be written in American English.

"If you own a copy of quake 3" should probably be "Quake 3" as used in the rest
of the text.

- MUST: The spec file for the package MUST be legible. If the reviewer is unable
to read the spec file, it will be impossible to perform a review. Fedora is not
the place for entries into the Obfuscated Code Contest (http://www.ioccc.org/).

OK

- MUST: The sources used to build the package must match the upstream source, as
provided in the spec URL. Reviewers should use md5sum for this task. If no
upstream URL can be specified for this package, please see the Source URL
Guidelines for how to deal with this.

OK.

- MUST: The package must successfully compile and build into binary rpms on at
least one supported architecture.

OK.

- MUST: All build dependencies must be listed in BuildRequires, except for any
that are listed in the exceptions section of Packaging Guidelines; inclusion of
those as BuildRequires is optional. Apply common sense.

OK

- MUST: The spec file MUST handle locales properly. This is done by using the
%find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.

N/A.

- MUST: Every binary RPM package which stores shared library files (not just
symlinks) in any of the dynamic linker's default paths, must call ldconfig in
%post and %postun.

N/A

- MUST: If the package is designed to be relocatable, the packager must state
this fact in the request for review, along with the rationalization for
relocation of that specific package. Without this, use of Prefix: /usr is
considered a blocker.

N/A

- MUST: A package must own all directories that it creates. If it does not
create a directory that it uses, then it should require a package which does
create that directory. Refer to the Guidelines for examples.

OK

- MUST: A package must not contain any duplicate files in the %files listing.

OK.

- MUST: Permissions on files must be set properly. Executables should be set
with executable permissions, for example. Every %files section must include a
%defattr(...) line.

OK

- MUST: Each package must have a %clean section, which contains rm -rf
%{buildroot} (or $RPM_BUILD_ROOT).

OK

- MUST: Each package must consistently use macros, as described in the macros
section of Packaging Guidelines.

OK.

- MUST: The package must contain code, or permissable content. This is described
in detail in the code vs. content section of Packaging Guidelines.

OK.

- MUST: Large documentation files should go in a -doc subpackage. (The
definition of large is left up to the packager's best judgement, but is not
restricted to size. Large can refer to either size or quantity)

N/A

- MUST: If a package includes something as %doc, it must not affect the runtime
of the application. To summarize: If it is in %doc, the program must run
properly if it is not present.

OK

- MUST: Header files must be in a -devel package.

N/A

- MUST: Static libraries must be in a -static package.

N/A

- MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for
directory ownership and usability).

N/A

- MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1),
then library files that end in .so (without suffix) must go in a -devel package.

N/A

- MUST: In the vast majority of cases, devel packages must require the base
package using a fully versioned dependency: Requires: %{name} =
%{version}-%{release} 

N/A

- MUST: Packages must NOT contain any .la libtool archives, these should be
removed in the spec.

N/A

- MUST: Packages containing GUI applications must include a %{name}.desktop
file, and that file must be properly installed with desktop-file-install in the
%install section. This is described in detail in the desktop files section of
Packaging Guidelines. If you feel that your packaged GUI application does not
need a .desktop file, you must put a comment in the spec file with your explanation.

OK

- MUST: Packages must not own files or directories already owned by other
packages. The rule of thumb here is that the first package to be installed
should own the files or directories that other packages may rely upon. This
means, for example, that no package in Fedora should ever share ownership with
any of the files or directories owned by the filesystem or man package. If you
feel that you have a good reason to own a file or directory that another package
owns, then please present that at package review time.

OK.

- MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot}
(or $RPM_BUILD_ROOT). See Prepping BuildRoot For %install for details.

OK

- MUST: All filenames in rpm packages must be valid UTF-8.

OK


The only thing I'd change is have a "shadow" file for the commercial pk3 files
when they're installed in /usr/share/quake3/baseq3.

Approved with the non-removal of the libjpeg README.
Comment 10 Bastien Nocera 2007-09-27 13:32:44 EDT
A few more comments. The quake3-demo script doesn't work if you already have
directories there (I had some old install on this machine):
+ mv quake3-latest-pk3s/baseq3 quake3-latest-pk3s/missionpack .
mv: cannot move `quake3-latest-pk3s/baseq3' to `./baseq3': Directory not empty
mv: cannot move `quake3-latest-pk3s/missionpack' to `./missionpack': Directory
not empty

And "posess" should be "possess" in the autodlrc (although "own" is probably
better in this case).
Comment 11 Hans de Goede 2007-09-27 13:57:09 EDT
Thanks for the review! I'll fix the mentioned issues before import.

New Package CVS Request
=======================
Package Name:      quake3
Short Description: Quake 3 Arena tournament 3D shooter game
Owners:            jwrdegoede
Branches:          F-7 devel
InitialCC:         <empty>
Cvsextras Commits: Yes
Comment 12 Kevin Fenzi 2007-09-28 17:36:58 EDT
cvs done.
Comment 13 Hans de Goede 2007-09-29 04:37:25 EDT
All additional reported issues fixed, imported and build, closing.

Note You need to log in before you can comment on or make changes to this bug.